FORMAX DEVELOPER API
  1. Outlet API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Outlet API

Onboard

POST
https://api.formaxpay.com/api/outlet/onboard
This API is used to onboard a new outlet/agent into the Formax system.
Partners must onboard an outlet before enabling services such as PAN, Insurance, and other agent-based services.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/outlet/onboard' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "outlet_id": "FORMAX01",
    "name": "EZAZUL HAQUE",
    "shop_name": "EZAZUL STORE",
    "mobile": "9836993732",
    "email": "ezazul.haque@formaxit.com",
    "aadhaar": "535783260609",
    "pan": "AQNPH8107J",
    "pincode": "700126",
    "state": "West Bengal",
    "city": "Kolkata",
    "district": "North 24 Parganas",
    "address": "Mochpole, Nabapally, Barasat, Kolkata - 700126",
    "shop_pincode": "700126",
    "shop_state": "West Bengal",
    "shop_city": "Kolkata",
    "shop_district": "North 24 Parganas",
    "shop_address": "Mochpole, Nabapally, Barasat, Kolkata - 700126",
    "shop_latitude": "22.88124",
    "shop_longitude": "87.85235"
}'
Response Response Example
{
  "status": "SUCCESS",
  "message": "Outlet onboarded successfully"
}
Modified at 2025-12-24 12:44:56
Previous
Outlet API
Next
Fetch by Outlet ID
Built with